Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032689
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2016-04-18 11:102016-06-17 19:37
ReporteralostaleView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision61819564f5b8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032689: remove unused class org.openbravo.common.datasource.ResultMapCriteriaUtils

DescriptionResultMapCriteriaUtils is not used.

It was added for return pick&execute manual datasources in changeset [1].

Later these manual datasources where removed [2], but the class was kept.

Checking in modules published in Central Repository, there is none making use of it.

---
[1] https://code.openbravo.com/erp/devel/pi/rev/eece3bb [^]
[2] https://code.openbravo.com/erp/devel/pi/rev/23752adde [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026689 closedSandrahuguet Return from customer pick lines does not keep selected lines 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0085878)
hgbot (developer)
2016-04-22 10:50

Repository: erp/devel/pi
Changeset: 61819564f5b8aaf3c7aac1ec037d405143821056
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Thu Apr 21 17:48:55 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/61819564f5b8aaf3c7aac1ec037d405143821056 [^]

Fixed issue 32689: The ResultMapCriteriaUtils class has been deleted

The unused ResultMapCriteriaUtils class has been deleted.

---
R src/org/openbravo/common/datasource/ResultMapCriteriaUtils.java
---
(0085879)
hgbot (developer)
2016-04-22 10:50

Repository: erp/devel/pi
Changeset: 61819564f5b8aaf3c7aac1ec037d405143821056
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Thu Apr 21 17:48:55 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/61819564f5b8aaf3c7aac1ec037d405143821056 [^]

Fixed issue 32689: The ResultMapCriteriaUtils class has been deleted

The unused ResultMapCriteriaUtils class has been deleted.

---
R src/org/openbravo/common/datasource/ResultMapCriteriaUtils.java
---
(0086081)
alostale (developer)
2016-04-29 14:10

reviewed
(0087485)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-18 11:10 alostale New Issue
2016-04-18 11:10 alostale Assigned To => platform
2016-04-18 11:10 alostale Modules => Core
2016-04-18 11:10 alostale Triggers an Emergency Pack => No
2016-04-18 11:11 alostale Relationship added blocks 0032688
2016-04-18 11:11 alostale Status new => acknowledged
2016-04-18 11:12 alostale Relationship added related to 0026689
2016-04-19 12:53 NaroaIriarte Assigned To platform => NaroaIriarte
2016-04-19 12:53 NaroaIriarte Status acknowledged => scheduled
2016-04-22 10:49 NaroaIriarte Review Assigned To => alostale
2016-04-22 10:50 hgbot Checkin
2016-04-22 10:50 hgbot Note Added: 0085878
2016-04-22 10:50 hgbot Checkin
2016-04-22 10:50 hgbot Note Added: 0085879
2016-04-22 10:50 hgbot Status scheduled => resolved
2016-04-22 10:50 hgbot Resolution open => fixed
2016-04-22 10:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/61819564f5b8aaf3c7aac1ec037d405143821056 [^]
2016-04-22 10:50 hgbot Status scheduled => resolved
2016-04-29 14:10 alostale Note Added: 0086081
2016-04-29 14:10 alostale Status resolved => closed
2016-04-29 14:10 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087485


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker